Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoCustomMod

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoCustomMod,MonoCustomMod.ByValue,MonoCustomMod.ByReference>
              com.nativelibs4java.mono.MonoCustomMod

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoCustomMod,MonoCustomMod.ByValue,MonoCustomMod.ByReference>>

Direct Known Subclasses:
  MonoCustomMod.ByReference, MonoCustomMod.ByValue

    public class MonoCustomMod

extends Structure<MonoCustomMod,MonoCustomMod.ByValue,MonoCustomMod.ByReference>

native declaration : mono\metadata\metadata.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoCustomMod.ByReference`
`static class` | `MonoCustomMod.ByValue`

Field Summary
`byte` | `required`
`int` | `token`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoCustomMod()`
`MonoCustomMod(byte required, int token)`

Method Summary
`protected MonoCustomMod.ByReference` | `newByReference()`
`protected MonoCustomMod.ByValue` | `newByValue()`
`protected MonoCustomMod` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### required

    public byte required

### token

    public int token

Constructor Detail

### MonoCustomMod

    public MonoCustomMod()

### MonoCustomMod

    public MonoCustomMod(byte required,
                         int token)

Method Detail

### newByReference

    protected MonoCustomMod.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoCustomMod,MonoCustomMod.ByValue,MonoCustomMod.ByReference>`

### newByValue

    protected MonoCustomMod.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoCustomMod,MonoCustomMod.ByValue,MonoCustomMod.ByReference>`

### newInstance

    protected MonoCustomMod newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoCustomMod,MonoCustomMod.ByValue,MonoCustomMod.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD